<?php
// This file is part of Moodle - http://moodle.org/
//
// Moodle is free software: you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation, either version 3 of the License, or
// (at your option) any later version.
//
// Moodle is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.
//
// You should have received a copy of the GNU General Public License
// along with Moodle.  If not, see <http://www.gnu.org/licenses/>.
/**
 * Server-side script for generating response to AJAX search request
 * Original: block_course_list
 *
 * @package    block_hshcourselist
 * @author      Mark Johnson <mark.johnson@tauntons.ac.uk>, Edited by Tobias Baden, Hochschule Hannover
 * @copyright   2010 Tauntons College, UK
 * @license    http://www.gnu.org/copyleft/gpl.html GNU GPL v3 or later
 */


require_once('../../config.php');
require_once($CFG->dirroot . '/blocks/moodleblock.class.php');
require_once($CFG->dirroot . '/blocks/hshcourselist/block_hshcourselist.php');
require_login();
$instanceid = required_param('instanceid', PARAM_INT);
$context = context_block::instance($instanceid);
$course = required_param('course', PARAM_TEXT);
$pagecontextid = required_param('contextid', PARAM_INT);
$config = get_config('block_hshcourselist');
$idsearching = required_param('idsearching', PARAM_BOOL);
$orderbysemester = required_param('orderbysemester', PARAM_BOOL);
$output = array();
if (!empty($course)) {
    $catcontext = context::instance_by_id($pagecontextid, IGNORE_MISSING);
    $courses = block_hshcourselist::get_courses($course, $context, $idsearching, $orderbysemester, null);

    if (!empty($courses)) {
        foreach ($courses as $course) {
            $output[] = $course;
        }
        $courses->close();
    }
}
header('Content-Type: text/plain');
echo json_encode(utf8ize($output));

function utf8ize($d) {
    if (is_array($d)) {
        foreach ($d as $k => $v) {
            $d[$k] = utf8ize($v);
        }
    } else if (is_string ($d)) {
        return utf8_encode($d);
    }
    return $d;
}
